;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;        Copyright 2001-2002 The Removers, all rights reserved.
;;         Copying is covered by the GNU General Public License.

;;    This program is free software; you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation; either version 2 of the License, or
;;    (at your option) any later version.

;;    This program is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;;    GNU General Public License for more details.

; routine pratique de gestion des chaines de caractres

	TEXT
to_maj:
; a0 : adresse du texte format C
	movem.l	d0/a0,-(sp)
.loop:
	move.b	(a0),d0
	beq.s	.end
	cmp.b	#'a',d0
	blo.s	.not_minus
	cmp.b	#'z',d0
	bhi.s	.not_minus
	sub.b	#'a'-'A',(a0)+
	bra.s	.loop
.not_minus:
	addq.w	#1,a0
	bra.s	.loop
.end:
	movem.l	(sp)+,d0/a0
	rts

to_num:
; a0 : chaine format C
; rsultat dans d0
	movem.l	d1/a0,-(sp)
	bsr.s	to_maj
	moveq	#0,d0
.loop:
	move.b	(a0)+,d1
	beq.s	.end
	cmp.b	#'0',d1
	blo.s	.not_a_fig
	cmp.b	#'9',d1
	bhi.s	.not_a_fig
.fig:
	sub.b	#'0'-0,d1
	lsl.l	#4,d0
	or.b	d1,d0
	bra.s	.loop
.not_a_fig:
	cmp.b	#'A',d1
	blo.s	.end
	cmp.b	#'F',d1
	bhi.s	.end
.letter:
	sub.b	#'A'-$a,d1
	lsl.l	#4,d0
	or.b	d1,d0
	bra.s	.loop
.end:
	movem.l	(sp)+,d1/a0
	rts