;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;        Copyright 2001-2002 The Removers, all rights reserved.
;;         Copying is covered by the GNU General Public License.

;;    This program is free software; you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation; either version 2 of the License, or
;;    (at your option) any later version.

;;    This program is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
;;    GNU General Public License for more details.

***************************
* Vecteurs d'interruption *
* Technical Data 5-12     *
***************************

_SCI:		equ	$ffd6	; SCI Serial System
_SPI:		equ	$ffd8	; SPI Serial Transfer Complete
_PAIE:		equ	$ffda	; Pulse Accumulator Input Edge
_PAO:		equ	$ffdc	; Pulse Accumulator Overflow
_TO:		equ	$ffde	; Timer Overflow
_TIC4OC5:	equ	$ffe0	; Timer Input Capture 4/Output Compare 5
_TOC4:		equ	$ffe2	; Timer Output Compare 4
_TOC3:		equ	$ffe4	; Timer Output Compare 3
_TOC2:		equ	$ffe6	; Timer Output Compare 2
_TOC1:		equ	$ffe8	; Timer Output Compare 1
_TIC3:		equ	$ffea	; Timer Input Capture 3
_TIC2:		equ	$ffec	; Timer Input Capture 2
_TIC1:		equ	$ffee	; Timer Input Capture 1
_RTI		equ	$fff0	; Real Time Interrupt
_IRQ:		equ	$fff2	; IRQ (External Pin)
_XIRQ:		equ	$fff4	; XIRQ Pin
_SI:		equ	$fff6	; Software Interrupt
_IOT:		equ	$fff8	; Illegal Opcode Trap
_CF:		equ	$fffa	; COP Failure
_CMF:		equ	$fffc	; Clock Monitor Fail
_RESET:		equ	$fffe	; RESET
